%define module_name App-Prun
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Parallel/ForkManager.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Script.pm) perl(namespace/clean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.08
Release: alt1
Summary: Provides the prun script as a command line interface to L<Parallel::ForkManager>.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMCCARV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
prun allows you to utilize multiple CPUs
for some workloads from the shell more easily.

prun takes a list of commands (stdin and/or from file(s)) and run the commands
in parallel.

prun is a CLI front end to the Parallel::ForkManager manpage. It runs commands in
parallel up to a maximum number of processes at once.

=over

=item * prun --help

=item * the Parallel::ForkManager manpage

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE
%perl_vendor_privlib/A*

%changelog
* Wed May 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- updated by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1
- regenerated from template by package builder

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- regenerated from template by package builder

* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1
- regenerated from template by package builder

* Fri Oct 21 2016 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

